#
# spec file for package python-aliyun-python-sdk-resourcemanager
#
# Copyright (c) 2020 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-aliyun-python-sdk-resourcemanager
Version:        1.0.0
Release:        3.3.2
License:        Apache-2.0
Summary:        The resourcemanager module of Aliyun Python SDK
Url:            http://develop.aliyun.com/sdk/python
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/a/aliyun-python-sdk-resourcemanager/aliyun-python-sdk-resourcemanager-%{version}.tar.gz
Source1:        LICENSE
BuildRequires:  python-rpm-macros
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
# SECTION test requirements
BuildRequires:  %{python_module aliyun-python-sdk-core >= 2.11.5}
# /SECTION
BuildRequires:  fdupes
Requires:       python-aliyun-python-sdk-core >= 2.11.5
BuildArch:      noarch

%python_subpackages

%description
The resourcemanager module of Aliyun Python SDK.

%prep
%setup -q -n aliyun-python-sdk-resourcemanager-%{version}
cp %{SOURCE1} LICENSE

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Aug 18 2020 adrian.glaubitz@suse.com
- Include in SLE-15 (bsc#1175230, jsc#ECO-2011, jsc#PM-1919)
* Mon Aug 10 2020 adrian.glaubitz@suse.com
- Initial build
  + Version 1.0.0
